#ifndef _GAS_AVA_INC
#define _GAS_AVA_INC

#ifdef ASSEMBLER_AVA

#  include "AVR.inc"
#  include "CtoASM.inc"
#  define _U(x) _
#  define TEXT_SEG(subs, func) seg removable flash.code.##subs.##func
#  define GLOBAL(x) public _U(##x##):
#  define FUNCTION(x)
#  define ENDFUNC

#else

#  include "macros.inc"
#  include "ctoasm.inc"
#  define TEXT_SEG(subs, func) .section .text.##subs ; func
#  define GLOBAL(x) \
	.global _U(##x) _L \
	_U(##x##:)
#  define FUNCTION(x) .func _U(##x)
#  define ENDFUNC .endfunc

#endif /* !ASSEMBLER_AVA */

#endif  /* _GAS_AVA_INC  */
